Name:           perl-Catalyst-Action-RenderView
Version:        0.07
Release:        2%{?dist}.1
Summary:        Sensible default end action for view renders
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Action-RenderView/
Source0:        http://www.cpan.org/authors/id/M/MR/MRAMBERG/Catalyst-Action-RenderView-%{version}.tar.gz
Patch1:         test_pod_cover.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
# cpan
BuildRequires:  perl(Catalyst) >= 5.7
BuildRequires:  perl(Module::Build) 
BuildRequires:  perl(Data::Visitor) >= 0.08
# test
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)
BuildRequires:  perl(HTTP::Request::AsCGI)

# use base
Requires:       perl(Catalyst::Action)

# not picked up automatically
Requires:       perl(Catalyst) >= 5.7

%description
This action implements a sensible default end action, which will forward to
the first available view, unless status is set to 3xx, or there is a
response body. It also allows you to pass dump_info=1 to the url in order
to force a debug screen, while in debug mode.

%prep
%setup -q -n Catalyst-Action-RenderView-%{version}

# allow the pod syntax test to be invoked distinct from the pod coverage test
%patch1

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(TestApp.*)/d'
EOF

%define __perl_provides %{_builddir}/Catalyst-Action-RenderView-%{version}/%{name}-prov
chmod +x %{__perl_provides}


# Filter unwanted Requires:  (may as well keep rpmlint happy)
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(strict)/d'
EOF

%define __perl_requires %{_builddir}/Catalyst-Action-RenderView-%{version}/%{name}-req
chmod +x %{__perl_requires}

# correct line encoding and an errant interperter setting
find t/ -type f -exec perl -pi -e 's|^#!perl|#!/usr/bin/perl|; s/\r//' {} +

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
# pod coverage tests fail at the moment (TEST_POD_COVER)
export TEST_POD=1
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.07-2
- rebuild for new perl

* Sun Oct 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.07-1
- update to 0.07
- update license tag: GPL -> GPL+
- switch build invocations due to switchover to Module::Install

* Tue Jul 24 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.04-3
- bump

* Tue Jun 05 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.04-2
- add t/ to doc
- fix pod syntax (patch0)
- allow pod coverage test to be skipped independently of pod syntax test

* Fri Apr 27 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.04-1
- Specfile autogenerated by cpanspec 1.71.
